<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

$ubicacion=strtoupper($_POST['ubicacion']);

$peticion='SGAUbicar#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#PRODUCTOSUBICACION#'.$_SESSION['almacen'].';'.$ubicacion;
$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);

if($_GET['traza']=='si') {
	echo "<p>".$peticion."</p>";
	print_r($resultado);
}

if(!$resultado[0]['Error']) {

	$columnasFijas=5;
	if($_SESSION['verEnCajas']) $columnasFijas++;
	
	$columnasVariables=0;
	foreach($_SESSION['comportamientos'] as $comportamiento) $columnasVariables++;
	
	foreach(arreglaArrayPXMobileProxiumResult($resultado[0]['Contenedores']) as $contenedor) {
		?>
		<table class="tablaFormateada anchoMaximo">
		<tr>
			<?php if(count($_SESSION['empresas'])>1) { ?><th class="cabecera" width="100">Empresa</th><?php } ?>
			
            <?php if($_SESSION['gestion']=='PUB' || $_SESSION['gestion']=='PUBPRI') { ?>
            <th class="cabecera" width="100">Cod. Cli. Prop.</th>
            <th class="cabecera" width="300">Nombre Cli. Prop.</th>
            <?php } ?>
			
			<th class="cabecera" width="100">Producto</th>
			<th class="cabecera" width="400">Descripción</th>
			<?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
			<th class="cabecera"><?php echo $comportamiento['Nombre']; ?></th>
			<?php } ?>
			<th class="cabecera" width="100">Cantidad</th>
			<?php if($_SESSION['verEnCajas']=='S') { ?><th class="cabecera" width="100">Cajas</th><?php } ?>
            <th class="cabecera" width="100">Reservado</th>
		</tr>
		<?php foreach(arreglaArrayPXMobileProxiumResult($contenedor['Productos']) as $producto) { ?>
			<?php $datos=arreglaArrayPXMobileProxiumResult($producto['Datos']); ?>
			<tr>
				<?php if(count($_SESSION['empresas'])>1) { ?><td><?php echo $producto['Empresa']; ?></td><?php } ?>
                
				<?php if($_SESSION['gestion']=='PUB' || $_SESSION['gestion']=='PUBPRI') { ?>
                    <td><?php echo $producto['ClientePropietario']; ?></td>
                    <td><?php echo $producto['NombreClientePropietario']; ?></td>
                <?php } ?>
				
				<td><a href="info-producto-U.php?producto=<?php echo $producto['Producto']; ?><?php if( ($_SESSION['gestion']=='PUB' || $_SESSION['gestion']=='PUBPRI') && $producto['ClientePropietario'] ) { ?>&clientePropietario=<?php echo $producto['ClientePropietario']; ?><?php } ?>"><?php echo $producto['Producto']; ?></a></td>
				<td><?php echo $producto['Descripcion']; ?></td>
				<?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
				<td>
					<?php
					foreach($datos as $dato) {
						if($dato['Codigo']==$comportamiento['Codigo']) {
							echo formateaTipo($dato['Valor'],$comportamiento['Tipo']);
							break;
						}
					}
					?>				</td>
				<?php } ?>
				<td align="right"><?php echo number_format($producto['Stock'],$_SESSION['parametrosSGA']['ActivarDecimales'],',','.'); ?></td>
				<?php if($_SESSION['verEnCajas']=='S') { ?><td><?php echo number_format($producto['Cajas'],2,',','.'); ?></td><?php } ?>
                <td align="right"><?php echo number_format($producto['Reservado'],$_SESSION['parametrosSGA']['ActivarDecimales'],',','.'); ?></td>
			</tr>
		<?php } ?>
		</table>
<br />
	<?php } ?>
	
	<script>
	
	$(document).ready(function() {
	
		$('.selector').on("click",function(e){
			var contenedor=$(this).attr('contenedor');
			if($('#detalle'+contenedor).css('display')=='table-row') $('#detalle'+contenedor).hide();
			else {
				$('#popupCargando').show();
				$.post( "<?php echo $rutaHtml; ?>/contenidos/cargar-productos-contenedor.php", { contenedor:contenedor })
					.done(function(data) {
						$('#detalleContenedor'+contenedor).html(data);
						$('#detalle'+contenedor).show();
						$('#popupCargando').hide();
						
					});
				
			}
		});
	
	});
	
	</script>
<?php
}
else {
	?><p class="error">Error. No se ha encontrado la ubicación.</p><?php
}
?>